Skip to main content

Send Invoice

POST 

/api/stripe/invoices

Creates, finalizes, and sends a Stripe Invoice for a sales order. Stripe emails the customer the hosted invoice link automatically. If a payable open invoice already exists for the sales order it is returned instead of creating a new one (idempotent).

Fields:

  • integration_instance_id (required, integer) — the Stripe integration to charge through
  • sales_order_id (required, integer) — the sales order being invoiced
  • amount_in_cents (optional, integer, min 1) — override the order outstanding balance; if omitted the full outstanding balance is invoiced
  • customer_email (optional, email) — override the customer email on file (defaults to the sales order's customer email)

Rate limited: 30 requests/minute.

Request

Responses

Successful response